globus_gsi_sysconfig_activation(3)

NAME
globus_gsi_sysconfig_activation - Activation

 - Activation.

SYNOPSIS

  Macros

#define GLOBUS_GSI_SYSCONFIG_MODULE

Detailed Description

Activation.

Globus GSI System Configuration API uses standard Globus module activation and deactivation. Before any Globus GSI System Configuration API functions are called, the following function must be called:

globus_module_activate(GLOBUS_GSI_SYSCONFIG_MODULE)

This function returns GLOBUS_SUCCESS if the Globus GSI System Configuration API was successfully initialized, and you are therefore allowed to subsequently call Globus GSI System Configuration API functions. Otherwise, an error code is returned, and Globus GSI Credential functions should not be subsequently called. This function may be called multiple times.

To deactivate Globus GSI System Configuration API, the following function must be called:

globus_module_deactivate(GLOBUS_GSI_SYSCONFIG_MODULE)

This function should be called once for each time Globus GSI System Configuration API was activated.

Macro Definition Documentation

  #define GLOBUS_GSI_SYSCONFIG_MODULE
Module descriptor

Author

Generated automatically by Doxygen for globus_gsi_sysconfig from the source code.